Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: software wil niet starten doordat er een andere versie van een lib is  (gelezen 840 keer)

Offline rman

  • Lid
  • Steunpunt: Ja

Ik wil een demo van het spel Darwinia spelen. Het spel staat in mijn home direktorie.
Bij het in starten hiervan door middel van ./darwinia-demo2-1.3.0.sh  in xterm. Krijg ik de melding:

/home/herman/.setup3139: error while loading shared libraries: libgtk-1.2.so.0: cannot open shared object file: No such file or directory

Ik ben met synaptic opzoek gegaan naar deze libgtk-1.2.so.0. Deze zit er niet "in" en is ook niet geinstalleerd. Er is wel een andere versie geinstalleerd namelijk libgtk2.0-0.

Hoe krijg ik dit spel toch gestart?
steunpunt: Delft
Happy throngs, where ever you go

Offline nomko

  • Lid
    • Ubuntu Linux Gebruiker Site
  • Steunpunt: Nee
Re: software wil niet starten doordat er een andere versie van een lib is
« Reactie #1 Gepost op: 2010/07/17, 10:56:40 »

Ik wil een demo van het spel Darwinia spelen. Het spel staat in mijn home direktorie.
Bij het in starten hiervan door middel van ./darwinia-demo2-1.3.0.sh  in xterm. Krijg ik de melding:

/home/herman/.setup3139: error while loading shared libraries: libgtk-1.2.so.0: cannot open shared object file: No such file or directory

Ik ben met synaptic opzoek gegaan naar deze libgtk-1.2.so.0. Deze zit er niet "in" en is ook niet geinstalleerd. Er is wel een andere versie geinstalleerd namelijk libgtk2.0-0.

Hoe krijg ik dit spel toch gestart?

Je moet eerst het ontbrekende lib bestand downloaden en installeren.

Hier kan je e.e.a vinden met dezelfde probleem:
http://ubuntuforums.org/showthread.php?t=599032
http://www.uluga.ubuntuforums.org/showthread.php?t=1358664
http://forums.ngemu.com/generic-epsxe-queries/129706-installing-epsxe-ubuntu-9-10-a.html

En hier schijnt een oplossing te staan:
http://ubuntuforums.org/showpost.php?p=1339711&postcount=25

Succes!
Handige site voor de Ubuntu gebruiker:
https://sites.google.com/site/ubuntulinuxgebruiker
-------------------------
https://www.dropbox.com/referrals/NTQ4MzUwNDc5
-------------------------
Linux user number 515471
----------------------

Offline rman

  • Lid
  • Steunpunt: Ja
Re: software wil niet starten doordat er een andere versie van een lib is
« Reactie #2 Gepost op: 2010/07/17, 11:49:41 »
A)doe ik(staat in de tweede link) : sudo apt-get update
sudo apt-get install libgtk1.2

krijg ik de melding dat deze er wel is: libgtk1.2 is reeds de nieuwste versie.

B)Ik heb  de pakketten zoals vermeld in je derde link geinstalleerd(staat onder de streep):

Het resultaat na A en B blijft hetzelfde:error while loading shared libraries: libgtk-1.2.so.0: cannot open shared object file: No such file or directory

:-((
------------------------------------------------------------------------------------------------------
 Re: libgtk-1.2.so.0
If you must then you'll have to get the jaunty packages - 3 in total I think
( in this order for install)

http://packages.ubuntu.com/en/jaunty/libgtk1.2-common

http://packages.ubuntu.com/en/jaunty/libglib1.2ldbl

http://packages.ubuntu.com/en/jaunty/libgtk1.2
-----------------------------------------------------------------------------------------

C)Hierna heb ik gedaan  http://gwos.org/doku.php/guides:64bit:darwinia

sudo apt-get update && sudo apt-get upgrade
sudo apt-get install ia32-libs
wget http://frozenfox.freehostia.com/cappy/getlibs-all.deb
wget http://nl.archive.ubuntu.com/ubuntu/pool/universe/g/glib1.2/libglib1.2-dbg_1.2.10-19build1_i386.deb
wget http://nl.archive.ubuntu.com/ubuntu/pool/universe/g/gtk+1.2/libgtk1.2_1.2.10-18.1build2_i386.deb
wget http://nl.archive.ubuntu.com/ubuntu/pool/universe/g/gcc-3.3/libstdc++5_3.3.6-17ubuntu1_i386.deb
sudo dpkg -i getlibs-all.deb
getlibs -i libgtk1.2_1.2.10-18.1build2_i386.deb
getlibs -i libglib1.2-dbg_1.2.10-19build1_i386.deb
getlibs -i libstdc++5_3.3.6-17ubuntu1_i386.deb


Nadat ik het spel wil starten blijk krijg ik de melding dat de volgende lib niet gevonden kan worden:
error while loading shared libraries: libgmodule-1.2.so.0: cannot open shared object file: No such file or directory

Deze libgmodule1.2.so.) gedownload (staat beschreven op: http://forums.introversion.co.uk/darwinia/viewtopic.php?p=43346)
en dan:
 sudo dpkg -i libglib1.2ldbl_1.2.10-19build1_i386.deb

geeft hetzelfde resultaat als het bovenstaande:error while loading shared libraries: libgmodule-1.2.so.0: cannot open shared object file: No such file or directory

Werkt het nog niet en zit ik in een dependency hell. Ja het bestaat nog :-(

« Laatst bewerkt op: 2010/07/17, 13:07:03 door rman »
steunpunt: Delft
Happy throngs, where ever you go

Offline rman

  • Lid
  • Steunpunt: Ja
Re: software wil niet starten doordat er een andere versie van een lib is
« Reactie #3 Gepost op: 2010/07/17, 13:04:26 »
sr,  dit kan weg mod
steunpunt: Delft
Happy throngs, where ever you go

Offline Prosper

  • Forumteam
  • Steunpunt: Nee
Re: software wil niet starten doordat er een andere versie van een lib is
« Reactie #4 Gepost op: 2010/07/17, 13:36:26 »
Heb je al eens onder "locaties" gezocht naar bewuste module ? (beginnen in bestandssysteem)
Misschien staat ze er wel ergens, maar niet op de juiste plaats. Maak dan een symbolische link...
Omwille van de besparingen hebben ze het licht aan het eind van de tunnel ook uitgedaan...

Offline MauRice2

  • Lid
  • Steunpunt: Nee
Re: software wil niet starten doordat er een andere versie van een lib is
« Reactie #5 Gepost op: 2010/07/17, 13:49:09 »
RMan,

Als je zeker bent dat de bibliotheek libgtk-1.2 is geinstalleerd ...

De kans is groot dat dit wordt geinstalleerd:
libgtk-1.2.so (symblink -> libgtk-1.2.so.1.2)
libgtk-1.2.so.1 (symblink -> libgtk-1.2.so.1.2)
libgtk-1.2.so.1.2)

Dan is het voldoende om een copy te maken van een symblink ligtk-1.2.so en deze te
noemen als libgtk-1.2.so.0


MvG,
MauRice
Registered Linux user: 473556